/**
 * Computes UV coord in [0..1] interval from given `fragCoord` and screen `res`.
 *
 * @param fragCoord
 * @param res
 */
export declare const fragUV: (fragCoord: import("@thi.ng/shader-ast").Term<"vec4">, res: import("@thi.ng/shader-ast").Term<"vec2">) => import("@thi.ng/shader-ast").Op2<"vec2">;
/**
 * Takes `pos`, a screen coord (e.g. gl_FragCoord) and viewport
 * resolution `res`, returns aspect corrected uv, with uv.y in [-1..1]
 * interval.
 *
 * @param fragCoord vec2
 * @param res vec2
 */
export declare const aspectCorrectedUV: import("@thi.ng/shader-ast").TaggedFn2<"vec2", "vec2", "vec2">;
